import android.support.test.espresso.Espresso;
import android.support.test.rule.ActivityTestRule;
import android.support.test.runner.AndroidJUnit4;
import android.test.suitebuilder.annotation.LargeTest;

import org.junit.Rule;
import org.junit.Test;
import org.junit.runner.RunWith;

import it.cs.android33.R;
import it.cs.android33.WidgetExampleActivity;

import static android.support.test.espresso.assertion.ViewAssertions.matches;
import static android.support.test.espresso.matcher.ViewMatchers.isDisplayed;
import static android.support.test.espresso.matcher.ViewMatchers.withId;
import static android.support.test.espresso.matcher.ViewMatchers.withText;
import static org.hamcrest.Matchers.not;

@RunWith(AndroidJUnit4.class)
@LargeTest
public class MainActivityEspresso {

    @Rule
    public ActivityTestRule<WidgetExampleActivity> mActivityRule =
            new ActivityTestRule(WidgetExampleActivity.class);

    @Test
    public void buttonsVisible() {
        Espresso.onView(withId(R.id.buttonS)).check(matches(isDisplayed()));
    }

    @Test
    public void radioButtonsVisible() {
        Espresso.onView(withText("Rosso")).check(matches(isDisplayed()));
        Espresso.onView(withText("Blu")).check(matches(isDisplayed()));
        Espresso.onView(withText("Verde")).check(matches(isDisplayed()));
    }

    @Test
    public void onlyOneClockVisible() {
        Espresso.onView(withId(R.id.analogClock1)).check(matches(isDisplayed()));
        Espresso.onView(withId(R.id.digitalClock1)).check(matches(not(isDisplayed())));
    }
}

